using UnrealBuildTool;

public class MMACv2_2023 : ModuleRules
{
	public MMACv2_2023(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = PCHUsageMode.UseExplicitOrSharedPCHs;
	
		PublicDependencyModuleNames.AddRange(new string[] { "Core", "CoreUObject", "Engine", "InputCore" });

		// We need to include the AIModule module as a dependency to be able to access the AIController class
		// in our character class. This could also be included in the PublicDependencyModuleNames above.
		// The difference is which of our source files can access the module (either only ones in the private folder, or both).
		PrivateDependencyModuleNames.AddRange(new string[] { "AIModule" });
	}
}
